| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | Static Private Attributes | List of all members
GaudiKernel.Configurable.ConfigurableAuditor Class Reference
Inheritance diagram for GaudiKernel.Configurable.ConfigurableAuditor:
[legend]
Collaboration diagram for GaudiKernel.Configurable.ConfigurableAuditor:
[legend]

## Public Member Functions
def | __init__ (self, name=Configurable.DefaultName)
def | getHandle (self)
def | getGaudiType (self)
def | getJobOptName (self)
def | toStringProperty (self)
Public Member Functions inherited from GaudiKernel.Configurable.Configurable
def | __new__ (cls, args, kwargs)
def | __init__ (self, name=DefaultName)
def | __getstate__ (self)
def | __getnewargs__ (self)
def | __setstate__ (self, dict)
def | __len__ (self)
def | __iter__ (self)
def | __deepcopy__ (self, memo)
def | __iadd__ (self, configs, descr=None)
def | __getattr__ (self, attr)
def | __setattr__ (self, name, value)
def | __delattr__ (self, attr)
def | __nonzero__ (self)
def | remove (self, items)
def | removeAll (self)
def | copyChild (self, child)
def | setParent (self, parentName)
def | getParent (self)
def | hasParent (self, parent)
def | copyChildAndSetParent (self, cfg, parent)
def | getChildren (self)
def | getTools (self)
def | children (self)
def | getAllChildren (self)
def | getSequence (self)
def | setup (self)
def | getProperties (self)
def | getPropertiesWithDescription (self)
def | getValuedProperties (self)
def | properties (self)
def | getDefaultProperties (cls)
def | getDefaultProperty (cls, name)
def | getProp (self, name)
def | setProp (self, name, value)
def | isPropertySet (self, name)
def | getType (cls)
def | getName (self)
def | name (self)
def | getJobOptName (self)
def | isPublic (self)
def | jobOptName (self)
def | getFullName (self)
def | getFullJobOptName (self)
def | getPrintTitle (self)
def | getTitleName (self)
def | setDefaults (cls, handle)
def | clone (self, name=None, kwargs)
def | splitName (self)
def | addTool (self, tool, name=None)
def | __repr__ (self)
def | __str__ (self, indent=0, headerLastIndentUnit=indentUnit)

## Private Attributes
| _jobOptName

## Static Private Attributes
dictionary | __slots__

## Additional Inherited Members
Static Public Attributes inherited from GaudiKernel.Configurable.Configurable
| propertyNoValue
string | indentUnit = '| '
int | printHeaderWidth = 100
int | printHeaderPre = 5
dictionary | allConfigurables = {}
dictionary | configurableServices = {}

## Detailed Description

Definition at line 1146 of file Configurable.py.

## Constructor & Destructor Documentation

def GaudiKernel.Configurable.ConfigurableAuditor.__init__ | ( |  | self,
|  |  | name = `Configurable.DefaultName`
| ) |  |

Definition at line 1150 of file Configurable.py.

1150 def __init__( self, name = Configurable.DefaultName ):
1151 super( ConfigurableAuditor, self ).__init__( name )
1152 name = self.getName()
1153 name = name[ name.find('/')+1 : ] # strips class, if any
1154 self._jobOptName = name
1155
GaudiKernel.Configurable.ConfigurableAuditor.__init__
def __init__(self, name=Configurable.DefaultName)
Definition: Configurable.py:1150
GaudiKernel.Configurable.Configurable.getName
def getName(self)
Definition: Configurable.py:691
GaudiKernel.Configurable.ConfigurableAuditor._jobOptName
_jobOptName
Definition: Configurable.py:1154

## Member Function Documentation

def GaudiKernel.Configurable.ConfigurableAuditor.getGaudiType | ( |  | self | ) |

Definition at line 1160 of file Configurable.py.

1160 def getGaudiType( self ):
1161 return 'Auditor'
1162
GaudiKernel.Configurable.ConfigurableAuditor.getGaudiType
def getGaudiType(self)
Definition: Configurable.py:1160

def GaudiKernel.Configurable.ConfigurableAuditor.getHandle | ( |  | self | ) |

Definition at line 1156 of file Configurable.py.

1156 def getHandle( self ):
1157 # iAlgTool isn't useful, unless one knows for sure that the tool exists
1158 return iProperty( self.getJobOptName() )
1159
GaudiKernel.Configurable.ConfigurableAuditor.getHandle
def getHandle(self)
Definition: Configurable.py:1156
GaudiKernel.Configurable.Configurable.getJobOptName
def getJobOptName(self)
Definition: Configurable.py:697

def GaudiKernel.Configurable.ConfigurableAuditor.getJobOptName | ( |  | self | ) |

Definition at line 1163 of file Configurable.py.

1163 def getJobOptName( self ):
1164 return self._jobOptName
1165
GaudiKernel.Configurable.ConfigurableAuditor.getJobOptName
def getJobOptName(self)
Definition: Configurable.py:1163
GaudiKernel.Configurable.ConfigurableAuditor._jobOptName
_jobOptName
Definition: Configurable.py:1154

def GaudiKernel.Configurable.ConfigurableAuditor.toStringProperty | ( |  | self | ) |

Definition at line 1166 of file Configurable.py.

1166 def toStringProperty( self ):
GaudiKernel.Configurable.ConfigurableAuditor.toStringProperty
def toStringProperty(self)
Definition: Configurable.py:1166

## Member Data Documentation

dictionary GaudiKernel.Configurable.ConfigurableAuditor.__slots__
| static private

Initial value:
1 = { '_jobOptName' : 0, 'OutputLevel' : 0, \
2 'Enable' : 1 }

Definition at line 1147 of file Configurable.py.

GaudiKernel.Configurable.ConfigurableAuditor._jobOptName
| private

Definition at line 1154 of file Configurable.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiKernel/Configurable.py